********************************************************************************
**********************Politicians dataset***************************************
********************************************************************************
forvalues i = 2001(1)2015 {
import delimited "$datain/politicians/amm_loc_`i'.csv", delimiter(";") varnames(1) clear 
gen year=`i'
save "$temp/amm_loc_`i'.dta", replace
}

*Harmonize and append data
use "$temp/amm_loc_2013.dta", clear
***istat codice comune
rename (cod_regione desc_regione cod_provincia desc_provincia cod_comune desc_comune desc_sede_nascita desc_partito data_movimentazione) ///
	(codice_regione descrizione_regione codice_provincia descrizione_provincia codice_comune descrizione_comune ///
	sede_nascita descrizione_partito data_elezione)
save "$temp/amm_loc_2013.dta", replace

use "$temp/amm_loc_2001.dta", clear
forvalues i = 2002/2015 {
append using "$temp/amm_loc_`i'.dta"
}

*Destring year variables
gen election_year_form = date(data_elezione, "DM19Y")
format election_year %td
gen election_year=substr(data_elezione, 7,8)
destring election_year, replace
gen yearborn_form = date(data_nascita, "DM19Y")
format yearborn %td
gen yearborn=substr(data_nascita, 7,8)
destring yearborn, replace

*Missing 2013 cod_istat
sort descrizione_comune year
replace istat_codice_comune=istat_codice_comune[_n-1] if year==2013

*Mayor characteristics
gen mayor=0
replace mayor=1 if descrizione_carica=="Sindaco" | descrizione_carica=="SINDACO" | descrizione_carica=="sindaco" 
gen mayor_sex=.
replace mayor_sex=0 if mayor==1 & sesso=="M"
replace mayor_sex=1 if mayor==1 & sesso=="F"
gen mayor_degree=.
replace mayor_degree=0 if mayor==1 & titolo_di_studio!="LAUREA"
replace mayor_degree=1 if mayor==1 & titolo_di_studio=="LAUREA"
gen mayor_age=election_year-yearborn if mayor==1

*Town council characteristics
gen gender=0
replace gender=1 if sesso=="F"
gen degree=0
replace degree=1 if titolo_di_studio=="LAUREA"
gen age=election_year-yearborn

*Collapse data at municipality-year level
rename istat_codice_comune cod_istat
keep year cod_istat mayor_sex mayor_degree mayor_age gender degree age election_year 
collapse mayor_sex mayor_degree mayor_age gender degree age election_year, by(cod_istat year)

*Label variable
label variable mayor_sex "Mayor gender: =1 if female"
label variable mayor_degree "Mayor skill level: =1 if graduated"
label variable mayor_age "Mayor age"
label variable gender "Share of women in local council"
label variable degree "Share of high-skill politicians in local council"
label variable age "Average age of local council's members"
label variable election_year "Election year"

*Save dataset "town coucil"
save "$dataout/politicians.dta", replace



	
