use $dataout/dataset_final.dta, clear

foreach x in lsp pu_corr_mat pu_corr_ita   {
gen `x'2011=`x' if ay==2011
gen `x'2017=`x' if ay==2017
bys cod: egen initial_`x'=max(`x'2011)
bys cod: egen final_`x'=max(`x'2017)
gen diff_`x'=final_`x'-initial_`x'
}

collapse diff_*, by(cod)

foreach y in diff_pu_corr_mat diff_pu_corr_ita diff_lsp {
egen s_`y'=std(`y')
}

*Panel A
foreach y in s_diff_pu_corr_mat {
foreach x in s_diff_lsp {
reg `y' `x'
local b=_b[`x']
local b: di %9.3f `b'
local se=_se[`x']
local se: di %9.3f `se'	
binscatter `y' `x', msymbols(circle) n(40) ///
graphregion(color(white)) bgcolor(white) ///
ytitle(Δ in test scores (standardized), size(medlarge)) xtitle(Δ in spending (standardized), size(medlarge)) /// 
xscale(range()titlegap(2)) xlabel(, labsize(medlarge)) yscale(range()titlegap(2)) ylabel(-.8(.4).8, nogrid labsize(medlarge)) ///
graphr(color(white)) graphr(color(white)) ///
subtitle(Slope = `b' (`se'), size(medlarge) position(4) ring(0) just(right))
graph export $output/fig2_panelA.png, as(png) replace
}
}

*Panel B
foreach y in s_diff_pu_corr_ita {
foreach x in s_diff_lsp {
reg `y' `x'
local b=_b[`x']
local b: di %9.3f `b'
local se=_se[`x']
local se: di %9.3f `se'	
binscatter `y' `x', msymbols(circle) n(40) ///
graphregion(color(white)) bgcolor(white) ///
ytitle(Δ in test scores (standardized), size(medlarge)) xtitle(Δ in spending (standardized), size(medlarge)) /// 
xscale(range()titlegap(2)) xlabel(, labsize(medlarge)) yscale(range()titlegap(2)) ylabel(-.8(.4).8, nogrid labsize(medlarge)) ///
graphr(color(white)) graphr(color(white)) ///
subtitle(Slope = `b' (`se'), size(medlarge) position(4) ring(0) just(right))
graph export $output/fig2_panelB.png, as(png) replace
}
}