use $dataout/dataset_final.dta, clear

local c female mese cittadinanza edu_padre edu_madre regolarita
local m c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age
local m2 c_y_avg c_compr

keep female mese cittadinanza mat ita ay exp edu_padre edu_madre cod codice_scuola regolarita election_year c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age dosageXexp c_y_avg c_compr sp lsp

/*
Note: sp corresponds to panel A; lsp to panel B; mat to panel C; ita to panel D
*/

*Count number of schools and municipalities (note that the number of observations correspond to the number of students)
bys cod: gen n_mun = _n == 1 
replace n_mun = sum(n_mun)
replace n_mun = n_mun[_N]
local mun = n_mun
local mun: di %11.0g `mun'

bys codice_scuola: gen n_sco = _n == 1 
replace n_sco = sum(n_sco)
replace n_sco = n_sco[_N]
local s = n_sco
local s: di %11.0g `s'

foreach y in sp lsp mat ita {
reghdfe `y' exp dosageXexp, a(ay cod) cluster(cod) 
local st = e(N)
local st: di %11.0g `st'
test exp dosageXexp
local f = r(F)
local f: di %9.3f `f'
outreg2 using $output/tab1_`y'.tex, keep(exp dosageXexp) bdec(3) tdec(3) ///
replace addtext(# of students, `st', # of municipalities, `mun', # of schools, `s', Municipality FE, Yes, School FE, No, Year FE, Yes, Mun Controls, No, Ind controls, No, Other controls, No, F-stat, `f') nocons 

reghdfe `y' exp dosageXexp, a(ay codice_scuola) cluster(cod) 
test exp dosageXexp
local f = r(F)
local f: di %9.3f `f'
outreg2 using $output/tab1_`y'.tex, keep(exp dosageXexp) bdec(3) tdec(3) ///
append addtext(Municipality FE, Yes, School FE, Yes, Year FE, Yes, Mun Controls, No, Ind controls, No, Other controls, No, F-stat, `f') nocons 

reghdfe `y' exp dosageXexp `m', a(election_year#ay codice_scuola) cluster(cod) 
test exp dosageXexp
local f = r(F)
local f: di %9.3f `f'
outreg2 using $output/tab1_`y'.tex, keep(exp dosageXexp) bdec(3) tdec(3) ///
append addtext(Municipality FE, Yes, School FE, Yes, Year FE, Yes, Mun Controls, Yes, Ind controls, No, Other controls, No, F-stat, `f') nocons

reghdfe `y' exp dosageXexp `c' `m' , a(election_year#ay codice_scuola) cluster(cod) 
test exp dosageXexp
local f = r(F)
local f: di %9.3f `f'
outreg2 using $output/tab1_`y'.tex, keep(exp dosageXexp) bdec(3) tdec(3) ///
append addtext(Municipality FE, Yes, School FE, Yes, Year FE, Yes, Mun Controls, Yes, Ind controls, Yes, Other controls, No, F-stat, `f') nocons 

reghdfe `y' exp dosageXexp `c' `m' `m2', a(election_year#ay codice_scuola) cluster(cod) 
test exp dosageXexp
local f = r(F)
local f: di %9.3f `f'
outreg2 using $output/tab1_`y'.tex, keep(exp dosageXexp) bdec(3) tdec(3) ///
append addtext(Municipality FE, Yes, School FE, Yes, Year FE, Yes, Mun Controls, Yes, Ind controls, Yes, Other controls, Yes, F-stat, `f') nocons 
} 
