use $dataout/dataset_final.dta, clear
merge m:1 codice_scuola ay using $dataout/dataset_invalsi_dirigenti

local c female mese cittadinanza edu_padre edu_madre regolarita
local m c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age

gen cod_or=0
replace cod_or=1 if codice_orario==2	

gen repetent=0
replace repetent=1 if regolarita==3

keep female mese cittadinanza sp lsp pu_corr_mat pu_corr_ita ay exp edu_padre edu_madre cod codice_scuola regolarita election_year c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age dosageXexp c_y_avg c_compr cod_or   av_class_size palestra biblioteca spazi_aperto lab_informatico lab_linguistico lab_scientifico lab_musicale lab_tecnico lab_teatrale impianto_riscaldamento impianto_illuminazione materiali_didattici cancelleria libri servizio_prestito sussidi_audiovisivi computer lim software tablet internet c3 titolo_studio_dir

egen id=group(cod)

factor lab_informatico lab_linguistico lab_scientifico lab_musicale lab_tecnico lab_teatrale, factor(1) pcf 
rotate 
predict lab

factor biblioteca palestra  servizio_prestito
rotate 
predict bib
 
factor materiali_didattici cancelleria libri  sussidi_audiovisivi  lim 
rotate
predict did

factor computer software tablet internet 
rotate 
predict tec

*Note: sp corresponds to panel A; lsp to panel B
foreach x in sp lsp {
sum av_class_size
local v=r(mean)
local v: di %9.3f `v'
ivreghdfe av_class_size (`x' = exp dosageXexp) `c'  `m' , a(ay#election_year codice_scuola) cluster(id) 
local st = e(N)
local st: di %11.0g `st'
outreg2 using $output/tab3_`x'.tex, keep(`x') bdec(3) tdec(3) ///
replace addtext(Outcome, lclass_size, # of students, `st', Mean dependent, `v') 

foreach y in cod_or {
sum `y'
local v=r(mean)
local v: di %9.3f `v'	
ivreghdfe `y' (`x' = exp dosageXexp) `c'  `m' , a(ay#election_year codice_scuola) cluster(id) 
local st = e(N)
local st: di %11.0g `st'
outreg2 using $output/tab3_`x'.tex, keep(`x') bdec(3) tdec(3) ///
append addtext(Outcome, `y', # of students, `st',  Mean dependent, `v') nocons 
}

foreach y in lab bib did tec { /*province-level estimate, with province FE and student-level controls */
sum `y'
local v=r(mean)
local v: di %9.3f `v'	
ivreghdfe `y' (`x' = exp dosageXexp) `c', a(ay c3) cluster(id) 
local st = e(N)
local st: di %11.0g `st'
outreg2 using $output/tab3_`x'.tex, keep(`x') bdec(3) tdec(3) ///
append addtext(Outcome, `y', # of students, `st',  Mean dependent, `v') nocons 
}
}
