**************************
*Create dataset "sanzioni"
**************************
*2010
import excel "$datain/sanctions/sanzioni_2010.xlsx", sheet("Foglio1") firstrow clear
rename Entilocali Comune 
drop if Comune==""
gen anno=2010
rename importosanzione sanzione
save "$datain/sanctions/sanzioni_2010.dta", replace 

*2011
import excel "$datain/sanctions/sanzioni_2011.xlsx", sheet("Foglio1") firstrow clear
drop Anno
gen anno=2011
rename importosanzione sanzione
save "$datain/sanctions/sanzioni_2011.dta", replace 

*2013
import excel "$datain/sanctions/sanzioni_2013.xlsx", sheet("Foglio1") firstrow clear
gen anno=2013
rename Sanzionepattodistabilità sanzione
save "$datain/sanctions/sanzioni_2013.dta", replace 

*2014
import excel "$datain/sanctions/sanzioni_2014.xlsx", sheet("Foglio1") firstrow clear
drop Nr
drop if Comune==""
gen anno=2014
destring sanzioneda, g(sanzione)
save "$datain/sanctions/sanzioni_2014.dta", replace 

*2015
import excel "$datain/sanctions/sanzioni_2015.xlsx", sheet("Foglio1") firstrow clear
drop Comune 
rename B Comune 
rename Sanzioneart7c2DL1132 sanzione 
gen anno=2015
drop if Comune==""
save "$datain/sanctions/sanzioni_2015.dta", replace

use "$datain/sanctions/sanzioni_2010", clear
append using "$datain/sanctions/sanzioni_2011"
append using "$datain/sanctions/sanzioni_2013"
append using "$datain/sanctions/sanzioni_2014", force
append using "$datain/sanctions/sanzioni_2015"

rename codiceente cod
keep anno cod sanzione Comune 
rename anno year
save "$dataout/sanctions.dta", replace

*****************
*Figure**********
*****************
use $temp/balance_sheets_year.dta, clear
rename codicecatastaledelcomune cod
merge 1:1 year cod using $dataout/sanctions.dta

gen sanctioned=(_merge==3)
drop _merge 
drop if cod==""

reg sanctioned pre_s_cur_amm_i
local b=_b[pre_s_cur_amm_i]
local b: di %9.3f `b'
local se=_se[pre_s_cur_amm_i]
local se: di %9.3f `se'	
 
binscatter sanctioned pre_s_cur_amm_i, nq(40) graphregion(color(white)) bgcolor(white) ///
ytitle(Share of non-compliant municipalities, size(medlarge)) xtitle(Ex ante share of rigid expenditure, size(medlarge)) /// 
xscale(range()titlegap(2)) xlabel(, labsize(medlarge)) yscale(range()titlegap(2)) ylabel(, nogrid labsize(medlarge)) ///
graphr(color(white)) graphr(color(white)) ///
subtitle(Slope = `b' (`se'), size(medlarge) position(4) ring(0) just(right))
graph export $output/appendix/figA1.png, as(png) replace
 

