use $dataout/dataset_final.dta, clear

collapse lsp sp, by(exp)

foreach y in lsp sp {
reg `y' exp
local b=_b[exp]
local b: di %9.3f `b'
local se=_se[exp]
local se: di %9.3f `se'	

binscatter `y' exp, msymbols(circle) n(8) ///
graphregion(color(white)) bgcolor(white) ///
ytitle(Spending) xtitle(Austerity exposure) /// 
xscale(range()titlegap(2)) xlabel() yscale(range()titlegap(2)) ylabel(, nogrid) ///
graphr(color(white)) graphr(color(white)) ///
subtitle(Slope: `b' (`se'), just(right) position(clockposstyle) size(medium) placement(ne))  
graph export $output/appendix/figA4_`y'.png, as(png) replace
}
