use $dataout/dataset_final.dta, clear
merge m:1 codice_scuola ay using  $dataout/dataset_invalsi_dirigenti.dta, nogen

keep female mese cittadinanza sp lsp sp_cur lsp_cur sp_dcap lsp_dcap mat ita ay exp edu_padre edu_madre cod codice_scuola regolarita posto_studio computer scrivania enciclopedia internet palestra biblioteca spazi_aperto lab_informatico lab_linguistico lab_scientifico lab_musicale lab_tecnico lab_teatrale impianto_riscaldamento impianto_illuminazione materiali_didattici cancelleria libri servizio_prestito sussidi_audiovisivi computer lim software tablet internet titolo_studio_dir

foreach v in edu_padre edu_madre mese cittadinanza regolarita {
tab `v', gen(`v')
}

foreach v in  palestra biblioteca spazi_aperto lab_informatico lab_linguistico lab_scientifico lab_musicale lab_tecnico lab_teatrale impianto_riscaldamento impianto_illuminazione materiali_didattici cancelleria libri servizio_prestito sussidi_audiovisivi  lim software tablet  {
gen d_`v'=.
replace d_`v'=1 if `v'==1 	
replace d_`v'=0 if `v'==2 | `v'==3  	
}

foreach v in internet computer  {
gen d_`v'=.
replace d_`v'=0 if `v'==0 	
replace d_`v'=1 if `v'==1 
}

putexcel set "$output/appendix/tabA2.xlsx", sheet("sum") replace
putexcel A1=("Variable") B1=("Obs") C1=("Mean") D1=("SD") E1=("Min") F1=("Max") 

local row=2
foreach s in mat ita female edu_padre1 edu_padre2 edu_padre3 edu_madre1 edu_madre2 edu_madre3 mese1 mese2 mese3 cittadinanza1 cittadinanza2 regolarita1 regolarita2 regolarita3 posto_studio d_computer scrivania enciclopedia d_internet d_palestra d_biblioteca d_spazi_aperto d_lab_informatico d_lab_linguistico d_lab_scientifico d_lab_musicale d_lab_tecnico d_lab_teatrale d_impianto_riscaldamento d_impianto_illuminazione d_materiali_didattici d_cancelleria d_libri d_servizio_prestito d_sussidi_audiovisivi  d_lim d_software d_tablet {
putexcel A`row' = ("`s'")
sum `s'
putexcel B`row' = (r(N)), nformat(number_d3)
putexcel C`row' = (r(mean)), nformat(number_d3)
putexcel D`row' = (r(sd)), nformat(number_d3)
putexcel E`row' = (r(min)), nformat(number_d3)
putexcel F`row' = (r(max)), nformat(number_d3)
local ++row
}
