use $dataout/dataset_final.dta, clear
drop if ay<2014

tab mese, gen(q)

*high edu mum 
gen high_edu_m=. 
replace high_edu_m=1 if edu_madre==2 | edu_madre==3 
replace high_edu_m=0 if edu_madre==1 

*low edu mum
gen low_edu_m=. 
replace low_edu_m=0 if edu_madre==2 | edu_madre==3 
replace low_edu_m=1 if edu_madre==1 

*high edu dad
gen high_edu_p=. 
replace high_edu_p=1 if edu_padre==2 | edu_padre==3 
replace high_edu_p=0 if edu_padre==1 

*low edu dad 
gen low_edu_p=. 
replace low_edu_p=0 if edu_padre==2 | edu_padre==3 
replace low_edu_p=1 if edu_padre==1 

*working dad 
gen working_dad=.  
replace working_dad=1 if prof_padre!=1 | prof_padre!=2 | prof_padre!=9  
replace working_dad=0 if prof_padre==1 | prof_padre==2 | prof_padre==9
replace working_dad=. if prof_padre==. 

*working mum
gen working_mum=. 
replace working_mum=1 if prof_madre!=1 | prof_madre!=2 | prof_madre!=9 | prof_madre!=. 
replace working_mum=0 if prof_madre==1 | prof_madre==2 | prof_madre==9 
replace working_mum=. if prof_madre==.

collapse female q1 q2 q3 high_edu_m  high_edu_p working_mum working_dad imm studi_irreg c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age c_y_avg c_compr (firstnm) cod, by(codice_scuola ay)

merge m:1 codice_scuola ay using $dataout/dataset_invalsi_dirigenti

drop if _merge==2 

gen match=(_merge==3)
gen no_match=(_merge==1)

putexcel set "$output/appendix/tabA4.xlsx", sheet("sum") replace
putexcel A1=("Variable") B1=("Not matched") C1=("Matched") D1=("Estimate") E1=("p-value on match") F1=("N not matched") G1=("N matched")

global y female  q1 q2 q3 high_edu_m high_edu_p working_mum working_dad imm studi_irreg c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age c_y_avg c_compr
local row=2
foreach s of global y {
putexcel A`row' = ("`s'")
local ++row
}

local row=2
foreach s of global y {
qui sum `s' if _merge==1
putexcel B`row' = (r(mean)), nformat(0.000)
qui sum `s' if _merge==1
putexcel F`row' = (r(N))
qui sum `s' if _merge==3
putexcel C`row' = (r(mean)), nformat(0.000)
qui sum `s' if _merge==3
putexcel G`row' = (r(N))
reg `s' match, cluster(cod)
local b _b[match]
gen tvalue_`s' = _b[match] / _se[match]
gen df_`s' = e(df_r)
gen pvalue_`s' = 2*ttail(df_`s',abs(tvalue_`s'))
putexcel D`row' = `b', nformat(0.000)
local p pvalue_`s'
putexcel E`row' = `p', nformat(0.000)
local ++row
}


