use $dataout/dataset_final.dta, clear

local c female mese cittadinanza edu_padre edu_madre regolarita
local m c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age
local m2 c_y_avg c_compr

keep female mese cittadinanza sp lsp mat ita ay exp edu_padre edu_madre cod codice_scuola regolarita election_year c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age c_y_avg c_compr dosageXexp

egen id=group(cod)
	
*2SLS	
foreach y in mat ita   {
foreach x in  sp lsp {
ivreghdfe `y' (`x' = exp dosageXexp), a(ay cod) cluster(id) 
local b=_b[`x']	
outreg2 using $output/appendix/tabA6`y'_`x'.tex, keep(`x') bdec(3) tdec(3) ///
replace addtext(Municipality FE, Yes, School FE, No, Year FE, Yes, Mun Controls, No, Ind controls, No, Other controls, No, Model, 2SLS, p-value, -) nocons 
	
reghdfe `y' `x', a(ay cod) cluster(id) 
test (`x')=`b' 
local p = r(p)
local p: di %9.3f `p'
outreg2 using $output/appendix/tabA6`y'_`x'.tex, keep(`x') bdec(3) tdec(3) ///
append addtext(Municipality FE, Yes, School FE, No, Year FE, Yes, Mun Controls, No, Ind controls, No, Other controls, No, Model, OLS, p-value, `p') nocons 

ivreghdfe `y' (`x' = exp dosageXexp), a(ay codice_scuola) cluster(id) 
local b=_b[`x']	
outreg2 using $output/appendix/tabA6`y'_`x'.tex, keep(`x') bdec(3) tdec(3) ///
append addtext(Municipality FE, Yes, School FE, Yes, Year FE, Yes, Mun Controls, No, Ind controls, No, Other controls, No, Model, 2SLS, p-value, -) nocons 

reghdfe `y' `x', a(ay codice_scuola) cluster(id) 
test (`x')=`b' 
local p = r(p)
local p: di %9.3f `p'
outreg2 using $output/appendix/tabA6`y'_`x'.tex, keep(`x') bdec(3) tdec(3) ///
append addtext(Municipality FE, Yes, School FE, Yes, Year FE, Yes, Mun Controls, No, Ind controls, No, Other controls, No, Model, OLS, p-value, `p') nocons 

ivreghdfe `y' `m' (`x' = exp dosageXexp), a(ay#election_year codice_scuola) cluster(id) 
local b=_b[`x']	
outreg2 using $output/appendix/tabA6`y'_`x'.tex, keep(`x') bdec(3) tdec(3) ///
append addtext(Municipality FE, Yes, School FE, Yes, Year FE, Yes, Mun Controls, Yes, Ind controls, No, Other controls, No, Model, 2SLS, p-value, -) nocons 

reghdfe `y' `x'  `m' , a(election_year#ay codice_scuola) cluster(id) 
test (`x')=`b' 
local p = r(p)
local p: di %9.3f `p'
outreg2 using $output/appendix/tabA6`y'_`x'.tex, keep(`x') bdec(3) tdec(3) ///
append addtext(Municipality FE, Yes, School FE, Yes, Year FE, Yes, Mun Controls, Yes, Ind controls, No, Other controls, No, Model, OLS, p-value, `p') nocons 

ivreghdfe `y' `m' `c' (`x' = exp dosageXexp), a(ay#election_year codice_scuola) cluster(id) 
local b=_b[`x']	
outreg2 using $output/appendix/tabA6`y'_`x'.tex, keep(`x') bdec(3) tdec(3) ///
append addtext(Municipality FE, Yes, School FE, Yes, Year FE, Yes, Mun Controls, Yes, Ind controls, Yes, Other controls, No, Model, 2SLS, p-value, -) nocons 

reghdfe `y' `x' `c'  `m' , a(election_year#ay codice_scuola) cluster(id) 
test (`x')=`b' 
local p = r(p)
local p: di %9.3f `p'
outreg2 using $output/appendix/tabA6`y'_`x'.tex, keep(`x') bdec(3) tdec(3) ///
append addtext(Municipality FE, Yes, School FE, Yes, Year FE, Yes, Mun Controls, Yes, Ind controls, Yes, Other controls, No, Model, OLS, p-value, `p') nocons 

ivreghdfe `y' `m' `c' `m2' (`x' = exp dosageXexp), a(ay#election_year codice_scuola) cluster(id) 
local b=_b[`x']	
outreg2 using $output/appendix/tabA6`y'_`x'.tex, keep(`x') bdec(3) tdec(3) ///
append addtext(Municipality FE, Yes, School FE, Yes, Year FE, Yes, Mun Controls, Yes, Ind controls, Yes, Other controls, Yes, Model, 2SLS, p-value, -) nocons 

reghdfe `y' `x' `c'  `m' `m2', a(election_year#ay codice_scuola) cluster(id) 
test (`x')=`b' 
local p = r(p)
local p: di %9.3f `p'
outreg2 using $output/appendix/tabA6`y'_`x'.tex, keep(`x') bdec(3) tdec(3) ///
append addtext(Municipality FE, Yes, School FE, Yes, Year FE, Yes, Mun Controls, Yes, Ind controls, Yes, Other controls, Yes, Model, OLS, p-value, `p') nocons 
}
}
