use $dataout/dataset_final.dta, clear

local c female mese cittadinanza edu_padre edu_madre regolarita
local m c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age
local m2 c_y_avg c_compr

*Current and capital spending shares
foreach i in amm_i ist_tot_i cul_i spo_i tur_i svi_i ser_i tra_i  {
replace c_cur_`i'=((c_cur_`i')/c_pop)/1000 /*translate in 1000 per-pupil euros (already done for capital spending) */
gen s_cur_`i'=(c_cur_`i')/sp_cur
}
foreach i in amm_i ist_tot_i cul_i spo_i tur_i svi_i ser_i tra_i  {
gen s_cap_`i'=(cdep_cap_`i')/sp_dcap
}

collapse female mese cittadinanza sp_cur sp_cap pu_corr_mat pu_corr_ita  exp  edu_padre edu_madre  regolarita election_year c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age c_c* dosageXexp s_* pre_s_cur_amm_i cdep* sp_dcap c_y_avg, by(cod ay) 
	 
egen id=group(cod)
	 
foreach y in amm_i  {
sum c_cur_`y'
local v=r(mean)
local v: di %9.3f `v'
sum s_cur_`y' 
local a=r(mean)
local a: di %9.3f `a'

ivreghdfe c_cur_`y' (sp_cur = exp dosageXexp) `c' `m', a(ay#election_year cod) cluster(id) 
test (sp_cur)=`a' 
local p = r(p)
local p: di %9.3f `p'
outreg2 using $output/appendix/tabC1a.tex, keep(sp_cur) bdec(3) tdec(3) ///
replace addtext(Baseline controls, Yes, Mean share, `a', Mean dependent, `v') addstat(p-value, `p') nocons 

sum cdep_cap_`y' 
local v=r(mean)
local v: di %9.3f `v'
sum s_cap_`y' 
local a=r(mean)
local a: di %9.3f `a'

ivreghdfe cdep_cap_`y' (sp_dcap = exp dosageXexp) `c' `m', a(ay#election_year cod) cluster(id) 
test (sp_dcap)=`a'
local p = r(p)
local p: di %9.3f `p'
outreg2 using $output/appendix/tabC1b.tex, keep(sp_dcap) bdec(3) tdec(3) ///
replace addtext(Baseline controls, Yes, Mean share, `a', Mean dependent, `v') addstat(p-value, `p') nocons 
}

foreach y in ist_tot_i cul_i spo_i tur_i svi_i ser_i tra_i  {
sum c_cur_`y' 
local v=r(mean)
local v: di %9.3f `v'
sum s_cur_`y' 
local a=r(mean)
local a: di %9.3f `a'

ivreghdfe c_cur_`y' (sp_cur = exp dosageXexp) `c' `m', a(ay#election_year cod) cluster(id) 
test (sp_cur)=`a'
local p = r(p)
local p: di %9.3f `p'
outreg2 using $output/appendix/tabC1a.tex, keep(sp_cur) bdec(3) tdec(3) ///
append addtext(Baseline controls, Yes, Mean share, `a', Mean dependent, `v') addstat(p-value, `p') nocons 

sum cdep_cap_`y' 
local v=r(mean)
local v: di %9.3f `v'
sum s_cap_`y' 
local a=r(mean)
local a: di %9.3f `a'

ivreghdfe cdep_cap_`y' (sp_dcap = exp dosageXexp) `c' `m', a(ay#election_year cod) cluster(id) 
test (sp_dcap)=`a'
local p = r(p)
local p: di %9.3f `p'
outreg2 using $output/appendix/tabC1b.tex, keep(sp_dcap) bdec(3) tdec(3) ///
append addtext(Baseline controls, Yes, Mean share, `a', Mean dependent, `v') addstat(p-value, `p') nocons 
}
