use $dataout/dataset_final.dta, clear

local c female mese cittadinanza edu_padre edu_madre regolarita
local m c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age
local m2 c_y_avg c_compr

keep female mese cittadinanza sp_cur lsp_cur sp_dcap lsp_dcap mat ita ay exp edu_padre edu_madre cod codice_scuola regolarita election_year c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age dosageXexp c_y_avg c_compr

egen id=group(cod)	

foreach y in mat ita   {
foreach x in  sp_cur lsp_cur sp_dcap lsp_dcap  {
ivreghdfe `y' (`x' = exp dosageXexp), a(ay cod) cluster(id) 
outreg2 using $output/appendix/tabC2_`y'_`x'.tex, keep(`x') bdec(3) tdec(3) ///
replace addtext(Municipality FE, Yes, School FE, No, Year FE, Yes, Mun Controls, No, Ind controls, No, Other controls, No) nocons 

ivreghdfe `y' (`x' = exp dosageXexp), a(ay codice_scuola) cluster(id) 
outreg2 using $output/appendix/tabC2_`y'_`x'.tex, keep(`x') bdec(3) tdec(3) ///
append addtext(Municipality FE, Yes, School FE, Yes, Year FE, Yes, Mun Controls, No, Ind controls, No, Other controls, No) nocons 

ivreghdfe `y' (`x' = exp dosageXexp) `m' , a(election_year#ay codice_scuola) cluster(id) 
outreg2 using $output/appendix/tabC2_`y'_`x'.tex, keep(`x') bdec(3) tdec(3) ///
append addtext(Municipality FE, Yes, School FE, Yes, Year FE, Yes, Mun Controls, Yes, Ind controls, No, Other controls, No) nocons 

ivreghdfe `y' (`x' = exp dosageXexp) `c'  `m' , a(election_year#ay codice_scuola) cluster(id) 
outreg2 using $output/appendix/tabC2_`y'_`x'.tex, keep(`x') bdec(3) tdec(3) ///
append addtext(Municipality FE, Yes, School FE, Yes, Year FE, Yes, Mun Controls, Yes, Ind controls, Yes, Other controls, No) nocons 

ivreghdfe `y' (`x' = exp dosageXexp) `c'  `m' `m2', a(election_year#ay codice_scuola) cluster(id) 
outreg2 using $output/appendix/tabC2_`y'_`x'.tex, keep(`x') bdec(3) tdec(3) ///
append addtext(Municipality FE, Yes, School FE, Yes, Year FE, Yes, Mun Controls, Yes, Ind controls, Yes, Other controls, Yes) nocons 
}
}
