use $dataout/dataset_final.dta, clear

local c female mese cittadinanza edu_padre edu_madre regolarita
local m c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age

gen exp2=exp*exp
gen dosageXexp2=dosage*exp2

bys cod: egen mexp=median(exp)
gen tr=0
replace tr=1 if exp >= mexp
gen trXdosage=tr*dosage

replace pre_s_cur_amm_i=0 if pre_s_cur_amm_i==.
replace quart=0 if quart==.

egen id=group(cod)

foreach y in  mat ita  {
foreach x in  sp lsp {
ivreghdfe `y' (`x' = exp dosageXexp) `c'  `m', a(codice_scuola election_year#ay) cluster(id) first savefirst savefprefix(st1)
local f = `e(widstat)' 
local f: di %9.3f `f' 
outreg2 using $output/appendix/tabC3_`y'_`x'.tex, keep(`x') bdec(3) tdec(3) ///
replace addtext(F-stat, `f') nocons 

ivreghdfe `y' (`x' = exp exp2 dosageXexp dosageXexp2) `c'  `m', a(codice_scuola election_year#ay) cluster(id) first savefirst savefprefix(st1)
local f = `e(widstat)' 
local f: di %9.3f `f' 
outreg2 using $output/appendix/tabC3_`y'_`x'.tex, keep(`x') bdec(3) tdec(3) ///
append addtext(F-stat, `f') nocons 

ivreghdfe `y' (`x' = tr trXdosage) `c'  `m', a(codice_scuola election_year#ay) cluster(id) first savefirst savefprefix(st1)
local f = `e(widstat)' 
local f: di %9.3f `f' 
outreg2 using $output/appendix/tabC3_`y'_`x'.tex, keep(`x') bdec(3) tdec(3) ///
append addtext(F-stat, `f') nocons 

ivreghdfe `y' (`x' = exp c.exp#i.quart) `c'  `m', a(codice_scuola election_year#ay) cluster(id) first savefirst savefprefix(st1) 
local f = `e(widstat)' 
local f: di %9.3f `f' 
outreg2 using $output/appendix/tabC3_`y'_`x'.tex, keep(`x') bdec(3) tdec(3) ///
append addtext(F-stat, `f') nocons 

ivreghdfe `y' (`x' = exp c.exp#c.pre_s_cur_amm_i) `c'  `m', a(codice_scuola election_year#ay)  cluster(id) first savefirst savefprefix(st1)
local f = `e(widstat)' 
local f: di %9.3f `f' 
outreg2 using $output/appendix/tabC3_`y'_`x'.tex, keep(`x') bdec(3) tdec(3) ///
append addtext(F-stat, `f') nocons 
}
}
