use $dataout/dataset_final.dta, clear
merge m:1 cod using  $datain/misc/dataset_flag_no_school

local c female mese cittadinanza edu_padre edu_madre regolarita
local m c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age
local m2 c_y_avg c_compr

egen id=group(cod)

foreach y in mat ita {
foreach x in sp lsp  {
ivreghdfe `y' (`x' = exp dosageXexp) `c' `m', a(ay#election_year codice_scuola) cluster(id) 
local b=_b[`x']	
outreg2 using $output/appendix/tabC5_`y'_`x'.tex, keep(`x') bdec(3) tdec(3) ///
replace addtext(Baseline controls, Yes, Sample, Baseline, p-value, -) nocons 
			
ivreghdfe `y' (`x' = exp dosageXexp) `c' `m' if flag==0, a(ay#election_year codice_scuola) cluster(id) 
test (`x')=`b' 
local p = r(p)
local p: di %9.3f `p'
outreg2 using $output/appendix/tabC5_`y'_`x'.tex, keep(`x') bdec(3) tdec(3) ///
append addtext(Baseline controls, Yes, Sample, Without flag, p-value, `p') nocons 
}
}