use $dataout/dataset_final.dta, clear

local c female mese cittadinanza edu_padre edu_madre regolarita
local m c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age

foreach v in padre madre {
gen occ_`v'=.
replace occ_`v'=0 if prof_`v'==1 | prof_`v'==2 
replace occ_`v'=1 if prof_`v'>=3 & prof_`v' <= 8 /*we remove pensioners: prof==9*/
forvalues n=3(1)8 {
gen occ_`v'`n'=0
replace occ_`v'`n'=1 if prof_`v'==`n'
}
}

foreach v in  {
replace `v'=((`v')/c_pop)/1000
gen l`v'=log(`v')
}

foreach v in c_tax6 c_pr_tax_fh c_pr_tax_ord  {
replace `v'=`v'*100	
}	

replace c_y_avg=c_y_avg/1000

egen id=group(cod)

foreach x in sp lsp  {
ivreghdfe c_y_avg (`x' = exp dosageXexp) `c'  `m', a(ay#c3 codice_scuola election_year#ay) cluster(id) 
outreg2 using $output/appendix/tabC6_`x'.tex, keep(`x') bdec(3) tdec(3) ///
replace  nocons 

foreach y in c_tax6 c_pr_tax_fh c_pr_tax_ord occ_padre occ_madre  {
ivreghdfe `y' (`x' = exp dosageXexp) `c'  `m', a(ay#c3 codice_scuola election_year#ay) cluster(id) 
outreg2 using $output/appendix/tabC6_`x'.tex, keep(`x') bdec(3) tdec(3) ///
append nocons 
}
}
