use $dataout/dataset_final.dta, clear

local c female mese cittadinanza edu_padre edu_madre regolarita
local m c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age
local m2 c_y_avg c_compr

gen sp_pc=(sp_cur_pc+sp_dcap_pc)
gen lsp_pc=log(sp_pc)

keep female mese cittadinanza sp lsp sp_pc lsp_pc mat ita ay exp edu_padre edu_madre cod codice_scuola regolarita election_year c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age c_y_avg c_compr dosageXexp 
	
egen id=group(cod)	
	
foreach y in mat ita   {
foreach x in  lsp  {
ivreghdfe `y' (`x' = exp dosageXexp), a(ay cod) cluster(id) 
local b=_b[`x']	
outreg2 using $output/appendix/tabC7_`y'_`x'.tex, keep(`x') bdec(3) tdec(3) ///
replace addtext(Municipality FE, Yes, School FE, No, Year FE, Yes, Mun Controls, No, Ind controls, No, Other controls, No, Model, Per-pupil, p-value, ) nocons 
	
ivreghdfe `y' (`x'_pc = exp dosageXexp), a(ay cod) cluster(id) 
test (`x'_pc)=`b' 
local p = r(p)
local p: di %9.3f `p'
outreg2 using $output/appendix/tabC7_`y'_`x'.tex, keep(`x'_pc) bdec(3) tdec(3) ///
append addtext(Municipality FE, Yes, School FE, No, Year FE, Yes, Mun Controls, No, Ind controls, No, Other controls, No, Model, Per-capita, p-value, `p') nocons 

ivreghdfe `y' (`x' = exp dosageXexp), a(ay codice_scuola) cluster(id) 
local b=_b[`x']	
outreg2 using $output/appendix/tabC7_`y'_`x'.tex, keep(`x') bdec(3) tdec(3) ///
append addtext(Municipality FE, Yes, School FE, Yes, Year FE, Yes, Mun Controls, No, Ind controls, No, Other controls, No, Model, Per-pupil, p-value, -) nocons 

ivreghdfe `y' (`x'_pc = exp dosageXexp), a(ay codice_scuola) cluster(id) 
test (`x'_pc)=`b' 
local p = r(p)
local p: di %9.3f `p'
outreg2 using $output/appendix/tabC7_`y'_`x'.tex, keep(`x'_pc) bdec(3) tdec(3) ///
append addtext(Municipality FE, Yes, School FE, Yes, Year FE, Yes, Mun Controls, No, Ind controls, No, Other controls, No, Model, Per-capita, p-value, `p') nocons 

ivreghdfe `y' `m' (`x' = exp dosageXexp), a(ay#election_year codice_scuola) cluster(id) 
local b=_b[`x']	
outreg2 using $output/appendix/tabC7_`y'_`x'.tex, keep(`x') bdec(3) tdec(3) ///
append addtext(Municipality FE, Yes, School FE, Yes, Year FE, Yes, Mun Controls, Yes, Ind controls, No, Other controls, No, Model, Per-pupil, p-value, -) nocons 

ivreghdfe `y' `m' (`x'_pc = exp dosageXexp), a(ay#election_year codice_scuola) cluster(id) 
test (`x'_pc)=`b' 
local p = r(p)
local p: di %9.3f `p'
outreg2 using $output/appendix/tabC7_`y'_`x'.tex, keep(`x'_pc) bdec(3) tdec(3) ///
append addtext(Municipality FE, Yes, School FE, Yes, Year FE, Yes, Mun Controls, Yes, Ind controls, No, Other controls, No, Model, Per-capita, p-value, `p') nocons 

ivreghdfe `y' `m' `c' (`x' = exp dosageXexp), a(ay#election_year codice_scuola) cluster(id) 
local b=_b[`x']	
outreg2 using $output/appendix/tabC7_`y'_`x'.tex, keep(`x') bdec(3) tdec(3) ///
append addtext(Municipality FE, Yes, School FE, Yes, Year FE, Yes, Mun Controls, Yes, Ind controls, Yes, Other controls, No, Model, Per-capita, p-value, -) nocons 

ivreghdfe `y' `m' `c' (`x'_pc = exp dosageXexp), a(ay#election_year codice_scuola) cluster(id) 
test (`x'_pc)=`b' 
local p = r(p)
local p: di %9.3f `p'
outreg2 using $output/appendix/tabC7_`y'_`x'.tex, keep(`x'_pc) bdec(3) tdec(3) ///
append addtext(Municipality FE, Yes, School FE, Yes, Year FE, Yes, Mun Controls, Yes, Ind controls, Yes, Other controls, No, Model, Per-pupil, p-value, `p') nocons 

ivreghdfe `y' `m' `c' `m2' (`x' = exp dosageXexp), a(ay#election_year codice_scuola) cluster(id) 
local b=_b[`x']	
outreg2 using $output/appendix/tabC7_`y'_`x'.tex, keep(`x') bdec(3) tdec(3) ///
append addtext(Municipality FE, Yes, School FE, Yes, Year FE, Yes, Mun Controls, Yes, Ind controls, Yes, Other controls, Yes, Model, Per-pupil, p-value, -) nocons 

ivreghdfe `y' `m' `c' `m2' (`x'_pc = exp dosageXexp), a(ay#election_year codice_scuola) cluster(id) 
test (`x'_pc)=`b' 
local p = r(p)
local p: di %9.3f `p'
outreg2 using $output/appendix/tabC7_`y'_`x'.tex, keep(`x'_pc) bdec(3) tdec(3) ///
append addtext(Municipality FE, Yes, School FE, Yes, Year FE, Yes, Mun Controls, Yes, Ind controls, Yes, Other controls, Yes, Model, Per-capita, p-value, `p') nocons 
}
}
