use $dataout/dataset_final.dta, clear

*Test score non adjusted for cheating
gen mat_nonc=pu_corr_mat/fattore_correzione_new
gen ita_nonc=pu_corr_ita/fattore_correzione_new
bys ay: egen mat2=std(mat_nonc)
bys ay: egen ita2=std(ita_nonc)

local c female mese cittadinanza edu_padre edu_madre regolarita
local m c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age
local m2 c_y_avg c_compr

keep female mese cittadinanza sp lsp mat ita ay exp edu_padre edu_madre cod codice_scuola regolarita election_year c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age c_y_avg c_compr dosageXexp mat2 ita2

egen id=group(cod)	
	
foreach y in mat ita   {
foreach x in sp lsp  {
ivreghdfe `y' (`x' = exp dosageXexp), a(ay cod) cluster(id) 
local b=_b[`x']	
outreg2 using $output/appendix/tabC9_`y'_`x'.tex, keep(`x') bdec(3) tdec(3) ///
replace addtext(Municipality FE, Yes, School FE, No, Year FE, Yes, Mun Controls, No, Ind controls, No, Other controls, No, p-value, -) nocons  
	
ivreghdfe `y'2 (`x' = exp dosageXexp), a(ay cod) cluster(id) 
test (`x')=`b' 
local p = r(p)
local p: di %9.3f `p'
outreg2 using $output/appendix/tabC9_`y'_`x'.tex, keep(`x') bdec(3) tdec(3) ///
append addtext(Municipality FE, Yes, School FE, No, Year FE, Yes, Mun Controls, No, Ind controls, No, Other controls, No, p-value, `p') nocons 

ivreghdfe `y' (`x' = exp dosageXexp), a(ay codice_scuola) cluster(id) 
local b=_b[`x']	
outreg2 using $output/appendix/tabC9_`y'_`x'.tex, keep(`x') bdec(3) tdec(3) ///
append addtext(Municipality FE, Yes, School FE, Yes, Year FE, Yes, Mun Controls, No, Ind controls, No, Other controls, No, p-value, -) nocons 

ivreghdfe `y'2 (`x' = exp dosageXexp), a(ay codice_scuola) cluster(id) 
test (`x')=`b' 
local p = r(p)
local p: di %9.3f `p'
outreg2 using $output/appendix/tabC9_`y'_`x'.tex, keep(`x') bdec(3) tdec(3) ///
append addtext(Municipality FE, Yes, School FE, Yes, Year FE, Yes, Mun Controls, No, Ind controls, No, Other controls, No, p-value, `p') nocons 

ivreghdfe `y' `m' (`x' = exp dosageXexp), a(ay#election_year codice_scuola) cluster(id) 
local b=_b[`x']	
outreg2 using $output/appendix/tabC9_`y'_`x'.tex, keep(`x') bdec(3) tdec(3) ///
append addtext(Municipality FE, Yes, School FE, Yes, Year FE, Yes, Mun Controls, Yes, Ind controls, No, Other controls, No, p-value, -) nocons 

ivreghdfe `y'2 `m' (`x' = exp dosageXexp), a(ay#election_year codice_scuola) cluster(id) 
test (`x')=`b' 
local p = r(p)
local p: di %9.3f `p'
outreg2 using $output/appendix/tabC9_`y'_`x'.tex, keep(`x') bdec(3) tdec(3) ///
append addtext(Municipality FE, Yes, School FE, Yes, Year FE, Yes, Mun Controls, Yes, Ind controls, No, Other controls, No, p-value, `p') nocons 

ivreghdfe `y' `m' `c' (`x' = exp dosageXexp), a(ay#election_year codice_scuola) cluster(id) 
local b=_b[`x']	
outreg2 using $output/appendix/tabC9_`y'_`x'.tex, keep(`x') bdec(3) tdec(3) ///
append addtext(Municipality FE, Yes, School FE, Yes, Year FE, Yes, Mun Controls, Yes, Ind controls, Yes, Other controls, No, p-value, -) nocons 

ivreghdfe `y'2 `m' `c' (`x' = exp dosageXexp), a(ay#election_year codice_scuola) cluster(id) 
test (`x')=`b' 
local p = r(p)
local p: di %9.3f `p'
outreg2 using $output/appendix/tabC9_`y'_`x'.tex, keep(`x') bdec(3) tdec(3) ///
append addtext(Municipality FE, Yes, School FE, Yes, Year FE, Yes, Mun Controls, Yes, Ind controls, Yes, Other controls, No, p-value, `p') nocons 

ivreghdfe `y' `m' `c' `m2' (`x' = exp dosageXexp), a(ay#election_year codice_scuola) cluster(id) 
local b=_b[`x']	
outreg2 using $output/appendix/tabC9_`y'_`x'.tex, keep(`x') bdec(3) tdec(3) ///
append addtext(Municipality FE, Yes, School FE, Yes, Year FE, Yes, Mun Controls, Yes, Ind controls, Yes, Other controls, Yes, p-value, -) nocons 

ivreghdfe `y'2 `m' `c' `m2' (`x' = exp dosageXexp), a(ay#election_year codice_scuola) cluster(id) 
test (`x')=`b' 
local p = r(p)
local p: di %9.3f `p'
outreg2 using $output/appendix/tabC9_`y'_`x'.tex, keep(`x') bdec(3) tdec(3) ///
append addtext(Municipality FE, Yes, School FE, Yes, Year FE, Yes, Mun Controls, Yes, Ind controls, Yes, Other controls, Yes, p-value, `p') nocons 
}
}