use $dataout/dataset_final_norestrictions.dta, clear

*Sample restriction
keep if (cittadinanza==1 | cittadinanza==3) & reg_sp==1 & gestione=="STATALE" & lpop <= 30000

*Standardize test scores
bys ay: egen mat=std(pu_corr_mat)
bys ay: egen ita=std(pu_corr_ita)

gen sp=sp_cur+sp_dcap
gen lsp=log(sp)

local c female mese cittadinanza edu_padre edu_madre regolarita
local m c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age
local m2 c_y_avg c_compr

keep female mese cittadinanza sp lsp mat ita ay exp edu_padre edu_madre cod codice_scuola regolarita election_year c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age dosageXexp c_y_avg c_compr 

egen id=group(cod)

reghdfe sp exp dosageXexp `c' `m' `m2', a(election_year#ay codice_scuola) cluster(id) 
outreg2 using $output/appendix/tabC10.tex, keep(exp dosageXexp) bdec(3) tdec(3) ///
replace addtext(Baseline controls, Yes) nocons 

foreach y in mat ita {
reghdfe `y' exp dosageXexp `c' `m' `m2', a(election_year#ay codice_scuola) cluster(id) 
outreg2 using $output/appendix/tabC10.tex, keep(exp dosageXexp) bdec(3) tdec(3) ///
append addtext(Baseline controls, Yes) nocons 
} 
