use $dataout/dataset_final.dta, clear

local c female mese cittadinanza edu_padre edu_madre regolarita
local m c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age

egen id=group(cod)

rename (mat ita) (m r)

foreach y in m r {
foreach x in lsp sp {
foreach g in codice_scuola id c3  {
ivreghdfe `y' (`x' = exp dosageXexp) `c'  `m', a(election_year#ay codice_scuola) cluster(`g') 
estimates store `y'_`x'_`g'
}
}
}
	
foreach y in m r {
foreach x in lsp sp  {
ivreghdfe `y' (`x' = exp dosageXexp) `c'  `m', a(election_year#ay codice_scuola) cluster(codice_scuola ay) 
estimates store `y'_`x'_s_c
ivreghdfe `y' (`x' = exp dosageXexp) `c'  `m', a(election_year#ay codice_scuola) cluster(id ay) 
estimates store `y'_`x'_m_c
}
}	
	
*Math
foreach v in lsp {
local var m_`v'_codice_scuola m_`v'_id m_`v'_c3 m_`v'_s_c m_`v'_m_c
coefplot(`var'), ///
keep(`v') levels(90) aseq swapnames ///
coeflabels(m_`v'_codice_scuola = "School" ///
m_`v'_id = "Municipality" ///
m_`v'_c3 = "Province" ///
m_`v'_s_c = "School-cohort" ///
m_`v'_m_c = "Municipality-cohort") ///
graphregion(margin(2 2 2 2) fcolor(white) lcolor(white)) plotregion(lcolor(black)) ///
yscale(titlegap(2)) ylabel(, labsize(medlarge)) grid(none)  ///
xlabel(0(.5)2.5, valuelabel labsize(medlarge)) xtitle(2SLS coefficient estimate, size(medlarge)) ///
xline(0, lcolor(red) lpattern(solid)) ylabel(, labsize(medlarge)) 
 graph export $output/appendix/figC1_mat_`v'.png, as(png) replace
}

foreach v in sp {
local var m_`v'_codice_scuola m_`v'_id m_`v'_c3 m_`v'_s_c m_`v'_m_c
coefplot(`var'), ///
keep(`v') levels(90) aseq swapnames ///
coeflabels(m_`v'_codice_scuola = "School" ///
m_`v'_id = "Municipality" ///
m_`v'_c3 = "Province" ///
m_`v'_s_c = "School-cohort" ///
m_`v'_m_c = "Municipality-cohort") ///
graphregion(margin(2 2 2 2) fcolor(white) lcolor(white)) plotregion(lcolor(black)) ///
yscale(titlegap(2)) ylabel(, labsize(medlarge)) grid(none)  ///
xlabel(0(.005).025, valuelabel labsize(medlarge)) xtitle(2SLS coefficient estimate, size(medlarge)) ///
xline(0, lcolor(red) lpattern(solid)) ylabel(, labsize(medlarge)) 
 graph export $output/appendix/figC1_mat_`v'.png, as(png) replace
}

*Reading
foreach v in lsp {
local var r_`v'_codice_scuola r_`v'_id r_`v'_c3 r_`v'_s_c r_`v'_m_c
coefplot(`var'), keep(`v') levels(90) aseq swapnames ///
coeflabels(r_`v'_codice_scuola = "School" ///
r_`v'_id = "Municipality" ///
r_`v'_c3 = "Province" ///
r_`v'_s_c = "School-cohort" ///
r_`v'_m_c = "Municipality-cohort") ///
graphregion(margin(2 2 2 2) fcolor(white) lcolor(white)) plotregion(lcolor(black)) ///
yscale(titlegap(2)) ylabel(, labsize(medlarge)) grid(none)  ///
xlabel(0(.5)2.5, valuelabel labsize(medlarge)) xtitle(2SLS coefficient estimate, size(medlarge)) ///
xline(0, lcolor(red) lpattern(solid)) ylabel(, labsize(medlarge)) 
 graph export $output/appendix/figC1_ita_`v'.png, as(png) replace
}

foreach v in sp {
local var r_`v'_codice_scuola r_`v'_id r_`v'_c3 r_`v'_s_c r_`v'_m_c
coefplot(`var'), keep(`v') levels(90) aseq swapnames ///
coeflabels(r_`v'_codice_scuola = "School" ///
r_`v'_id = "Municipality" ///
r_`v'_c3 = "Province" ///
r_`v'_s_c = "School-cohort" ///
r_`v'_m_c = "Municipality-cohort") ///
graphregion(margin(2 2 2 2) fcolor(white) lcolor(white)) plotregion(lcolor(black)) ///
yscale(titlegap(2)) ylabel(, labsize(medlarge)) grid(none)  ///
xlabel(0(.005).025, valuelabel labsize(medlarge)) xtitle(2SLS coefficient estimate, size(medlarge)) ///
xline(0, lcolor(red) lpattern(solid)) ylabel(, labsize(medlarge)) 
 graph export $output/appendix/figC1_ita_`v'.png, as(png) replace
}

