*Left-side graphs
use $dataout/dataset_final.dta, clear

keep female mese cittadinanza sp lsp mat ita ay exp edu_padre edu_madre cod codice_scuola regolarita election_year c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age dosageXexp c_y_avg c_compr codicenuts12021 codicenuts32021 lpop
	
encode codicenuts12021, gen(reg)
encode codicenuts32021, gen (pr)	

egen id=group(cod)

local c female mese cittadinanza edu_padre edu_madre regolarita 
local m c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age lpop
local m2 c_y_avg c_compr
	
foreach y in mat ita   {
foreach x in sp lsp  {	
ivreghdfe `y' (`x' = exp dosageXexp), a(ay cod) cluster(id) 
estimates store `y'_`x'1	

ivreghdfe `y' (`x' = exp dosageXexp), a(ay codice_scuola) cluster(id) 
estimates store `y'_`x'2	

ivreghdfe `y' (`x' = exp dosageXexp) `m', a(election_year#ay codice_scuola) cluster(id) 
estimates store `y'_`x'3

ivreghdfe `y' (`x' = exp dosageXexp) `c', a(ay codice_scuola) cluster(id) 
estimates store `y'_`x'4

ivreghdfe `y' (`x' = exp dosageXexp) `c', a(ay codice_scuola  female#ay mese#ay edu_padre#ay edu_madre#ay regolarita#ay) cluster(id) 
estimates store `y'_`x'5

ivreghdfe `y' (`x' = exp dosageXexp) `m2', a(ay codice_scuola) cluster(id) 
estimates store `y'_`x'6

ivreghdfe `y' (`x' = exp dosageXexp), a(codice_scuola ay#reg) cluster(id) 
estimates store `y'_`x'7

ivreghdfe `y' (`x' = exp dosageXexp), a(codice_scuola ay#pr) cluster(id) 
estimates store `y'_`x'8
}
}
	
foreach y in mat ita   {
foreach x in  lsp  {
local var `y'_`x'1 `y'_`x'2 `y'_`x'3 `y'_`x'4 `y'_`x'5 `y'_`x'6 `y'_`x'7 `y'_`x'8
coefplot(`var'), keep(`x') aseq swapnames levels(90) ///
coeflabels( `y'_`x'1 = "Mun and cohort FE" ///
`y'_`x'2 = "+ school FE" ///
`y'_`x'3 = "+ mun controls" ///
`y'_`x'4 = "+ student controls" ///
`y'_`x'5 = "+ student cont x cohort FE" ///
`y'_`x'6 = "+ other mun controls" ///
`y'_`x'7 = "+ region x cohort FE" ///
`y'_`x'8 = "+ province x cohort FE") ///
graphregion(margin(2 2 2 2) fcolor(white) lcolor(white)) plotregion(lcolor(black)) ///
yscale(titlegap(2)) ylabel(, labsize(large)) grid(none)  ///
xlabel(, valuelabel labsize(large)) xtitle(2SLS coefficient estimate, size(large)) ///
xline(0, lcolor(red) lpattern(solid))
graph export $output/appendix/figC2_`y'_`x'.png, as(png) replace 
}
}

*Right-side graphs	
foreach y in mat ita   {
foreach x in lsp {	
ivreghdfe `y' (`x' = exp dosageXexp), a(ay cod) cluster(id) 
estimates store `y'_`x'1b	

ivreghdfe `y' (`x' = exp dosageXexp), a(ay codice_scuola) cluster(id) 
estimates store `y'_`x'2b	

ivreghdfe `y' (`x' = exp dosageXexp) `m', a(election_year#ay codice_scuola) cluster(id) 
estimates store `y'_`x'3b

ivreghdfe `y' (`x' = exp dosageXexp) `m' `c', a(election_year#ay codice_scuola) cluster(id) 
estimates store `y'_`x'4b

ivreghdfe `y' (`x' = exp dosageXexp) `m' `c', a(codice_scuola election_year#ay  female#ay mese#ay edu_padre#ay edu_madre#ay regolarita#ay) cluster(id) 
estimates store `y'_`x'5b

ivreghdfe `y' (`x' = exp dosageXexp) `m' `c' `m2', a(election_year#ay codice_scuola female#ay mese#ay edu_padre#ay edu_madre#ay regolarita#ay) cluster(id) 
estimates store `y'_`x'6b

ivreghdfe `y' (`x' = exp dosageXexp) `m' `c' `m2', a(codice_scuola election_year#ay ay#reg female#ay mese#ay edu_padre#ay edu_madre#ay regolarita#ay) cluster(id) 
estimates store `y'_`x'7b

ivreghdfe `y' (`x' = exp dosageXexp) `m' `c' `m2', a(codice_scuola election_year#ay ay#pr female#ay mese#ay edu_padre#ay edu_madre#ay regolarita#ay) cluster(id) 
estimates store `y'_`x'8b
}
}
	
*Figure
foreach y in mat ita   {
foreach x in lsp  {
local var `y'_`x'1b `y'_`x'2b `y'_`x'3b `y'_`x'4b `y'_`x'5b `y'_`x'6b `y'_`x'7b `y'_`x'8b
coefplot(`var'), keep(`x') aseq swapnames levels(90) ///
coeflabels( `y'_`x'1b = "Mun and cohort FE" ///
`y'_`x'2b = "+ school FE" ///
`y'_`x'3b = "+ mun controls" ///
`y'_`x'4b = "+ student controls" ///
`y'_`x'5b = "+ student cont x cohort FE" ///
`y'_`x'6b = "+ other mun controls" ///
`y'_`x'7b = "+ region x cohort FE" ///
`y'_`x'8b = "+ province x cohort FE") ///
graphregion(margin(2 2 2 2) fcolor(white) lcolor(white)) plotregion(lcolor(black)) ///
yscale(titlegap(2)) ylabel(, labsize(large)) grid(none)  ///
xlabel(, valuelabel labsize(large)) xtitle(2SLS coefficient estimate, size(large)) ///
xline(0, lcolor(red) lpattern(solid))
graph export $output/appendix/figC2_`y'_`x'_cum.png, as(png) replace 
}
}
