*Left-hand side graphs
use $dataout/dataset_final.dta, clear

keep female mese cittadinanza sp lsp mat ita ay exp edu_padre edu_madre cod codice_scuola regolarita election_year c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age dosageXexp c_y_avg c_compr codicenuts12021 codicenuts32021 lpop
	
encode codicenuts12021, gen(reg)
encode codicenuts32021, gen (pr)	

egen id=group(cod)	
	
foreach y in mat ita   {
foreach x in sp lsp  {	
ivreghdfe `y' (`x' = exp dosageXexp), a(ay cod) cluster(id) 
estimates store `y'_`x'_base	

ivreghdfe `y' (`x' = exp dosageXexp), a(ay cod) cluster(id) 
estimates store `y'_`x'_school	

foreach v in female mese cittadinanza edu_padre edu_madre regolarita c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age lpop c_y_avg c_compr {
ivreghdfe `y' (`x' = exp dosageXexp) `v', a(ay cod) cluster(id) 
estimates store `y'_`x'_`v'	
}

ivreghdfe `y' (`x' = exp dosageXexp), a(cod ay#reg) cluster(id) 
estimates store `y'_`x'_reg

ivreghdfe `y' (`x' = exp dosageXexp), a(cod ay#pr) cluster(id) 
estimates store `y'_`x'_pr
}
}

foreach y in mat ita   {
foreach x in lsp  {
local var `y'_`x'_base `y'_`x'_school `y'_`x'_female `y'_`x'_mese `y'_`x'_cittadinanza `y'_`x'_edu_padre `y'_`x'_edu_madre `y'_`x'_regolarita `y'_`x'_c_mayor_sex `y'_`x'_c_mayor_degree `y'_`x'_c_mayor_age `y'_`x'_c_gender `y'_`x'_c_degree `y'_`x'_c_age `y'_`x'_lpop `y'_`x'_c_y_avg `y'_`x'_c_compr `y'_`x'_reg `y'_`x'_pr
coefplot(`var'), keep(`x') aseq swapnames levels(90) ///
coeflabels( `y'_`x'_base = "Mun and cohort FE" ///
`y'_`x'_school = "+ school FE" ///
`y'_`x'_female = "+ gender" ///
`y'_`x'_mese = "+ month of birth" ///
`y'_`x'_cittadinanza = "+ nationality" ///
`y'_`x'_edu_padre = "+ father edu" ///
`y'_`x'_edu_madre = "+ mother edu" ///
`y'_`x'_regolarita = "+ regularity" ///
`y'_`x'_c_mayor_sex = "+ mayor gender" ///
`y'_`x'_c_mayor_degree = "+ mayor degree" ///
`y'_`x'_c_mayor_age = "+ mayor age" ///
`y'_`x'_c_gender = "+ town council gender" ///
`y'_`x'_c_degree = "+ town council degree" ///
`y'_`x'_c_age = "+ town council age" ///
`y'_`x'_lpop = "+ population" ///
`y'_`x'_c_y_avg = "+ taxable income" ///
`y'_`x'_c_compr = "+ house prices" ///
`y'_`x'_reg = "+ region-cohort FE" ///
`y'_`x'_pr = "+ province-cohort FE") ///
graphregion(margin(2 2 2 2) fcolor(white) lcolor(white)) plotregion(lcolor(black)) ///
yscale(titlegap(2)) ylabel(, labsize(large)) grid(none)  ///
xlabel(, valuelabel labsize(large)) xtitle(2SLS coefficient estimate, size(large)) ///
xline(0, lcolor(red) lpattern(solid))
graph export $output/appendix/figC3_`y'_`x'_single.png, as(png) replace 
}
}

*Right-hand side graphs
use $dataout/dataset_final.dta, clear

keep female mese cittadinanza sp lsp mat ita ay exp edu_padre edu_madre cod codice_scuola regolarita election_year c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age dosageXexp c_y_avg c_compr codicenuts12021 codicenuts32021 lpop

egen id=group(cod)	
	
encode codicenuts12021, gen(reg)
encode codicenuts32021, gen (pr)	
	
foreach y in mat ita   {
foreach x in lsp  {	
ivreghdfe `y' (`x' = exp dosageXexp), a(ay cod) cluster(id) 
estimates store `y'_`x'_base	

ivreghdfe `y' (`x' = exp dosageXexp), a(ay codice_scuola) cluster(id) 
estimates store `y'_`x'_school	

ivreghdfe `y' (`x' = exp dosageXexp) female, a(ay codice_scuola) cluster(id) 
estimates store `y'_`x'_female

ivreghdfe `y' (`x' = exp dosageXexp) female mese, a(ay codice_scuola) cluster(id) 
estimates store `y'_`x'_mese	

ivreghdfe `y' (`x' = exp dosageXexp) female mese cittadinanza, a(ay codice_scuola) cluster(id) 
estimates store `y'_`x'_cittadinanza

ivreghdfe `y' (`x' = exp dosageXexp) female mese cittadinanza edu_padre, a(ay codice_scuola) cluster(id) 
estimates store `y'_`x'_edu_padre

ivreghdfe `y' (`x' = exp dosageXexp) female mese cittadinanza edu_padre edu_madre, a(ay codice_scuola) cluster(id) 
estimates store `y'_`x'_edu_madre

ivreghdfe `y' (`x' = exp dosageXexp) female mese cittadinanza edu_padre edu_madre regolarita, a(ay codice_scuola) cluster(id) 
estimates store `y'_`x'_regolarita

ivreghdfe `y' (`x' = exp dosageXexp) female mese cittadinanza edu_padre edu_madre regolarita c_mayor_sex, a(ay codice_scuola) cluster(id) 
estimates store `y'_`x'_c_mayor_sex

ivreghdfe `y' (`x' = exp dosageXexp) female mese cittadinanza edu_padre edu_madre regolarita c_mayor_sex c_mayor_degree, a(ay codice_scuola) cluster(id) 
estimates store `y'_`x'_c_mayor_degree

ivreghdfe `y' (`x' = exp dosageXexp) female mese cittadinanza edu_padre edu_madre regolarita c_mayor_sex c_mayor_degree c_mayor_age, a(ay codice_scuola) cluster(id) 
estimates store `y'_`x'_c_mayor_age

ivreghdfe `y' (`x' = exp dosageXexp) female mese cittadinanza edu_padre edu_madre regolarita c_mayor_sex c_mayor_degree c_mayor_age c_gender, a(ay codice_scuola) cluster(id) 
estimates store `y'_`x'_c_gender

ivreghdfe `y' (`x' = exp dosageXexp) female mese cittadinanza edu_padre edu_madre regolarita c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree, a(ay codice_scuola) cluster(id) 
estimates store `y'_`x'_c_degree

ivreghdfe `y' (`x' = exp dosageXexp) female mese cittadinanza edu_padre edu_madre regolarita c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age, a(ay codice_scuola) cluster(id) 
estimates store `y'_`x'_c_age

ivreghdfe `y' (`x' = exp dosageXexp) female mese cittadinanza edu_padre edu_madre regolarita c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age lpop, a(ay codice_scuola) cluster(id) 
estimates store `y'_`x'_lpop

ivreghdfe `y' (`x' = exp dosageXexp) female mese cittadinanza edu_padre edu_madre regolarita c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age lpop c_y_avg, a(ay codice_scuola) cluster(id) 
estimates store `y'_`x'_c_y_avg

ivreghdfe `y' (`x' = exp dosageXexp) female mese cittadinanza edu_padre edu_madre regolarita c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age lpop c_compr, a(ay codice_scuola) cluster(id) 
estimates store `y'_`x'_c_compr

ivreghdfe `y' (`x' = exp dosageXexp) female mese cittadinanza edu_padre edu_madre regolarita c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age lpop c_compr, a(ay codice_scuola) cluster(id) 
estimates store `y'_`x'_c_compr

ivreghdfe `y' (`x' = exp dosageXexp) female mese cittadinanza edu_padre edu_madre regolarita c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age lpop c_compr, a(ay#reg codice_scuola) cluster(id) 
estimates store `y'_`x'_reg

ivreghdfe `y' (`x' = exp dosageXexp) female mese cittadinanza edu_padre edu_madre regolarita c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age lpop c_compr, a(ay#pr codice_scuola) cluster(id) 
estimates store `y'_`x'_pr
}
}

foreach y in mat ita   {
foreach x in lsp  {
local var `y'_`x'_base `y'_`x'_school `y'_`x'_female `y'_`x'_mese `y'_`x'_cittadinanza `y'_`x'_edu_padre `y'_`x'_edu_madre `y'_`x'_regolarita `y'_`x'_c_mayor_sex `y'_`x'_c_mayor_degree `y'_`x'_c_mayor_age `y'_`x'_c_gender `y'_`x'_c_degree `y'_`x'_c_age `y'_`x'_lpop `y'_`x'_c_y_avg `y'_`x'_c_compr `y'_`x'_reg `y'_`x'_pr
coefplot(`var'), keep(`x') aseq swapnames levels(90) ///
coeflabels( `y'_`x'_base = "Mun and cohort FE" ///
`y'_`x'_school = "+ school FE" ///
`y'_`x'_female = "+ gender" ///
`y'_`x'_mese = "+ month of birth" ///
`y'_`x'_cittadinanza = "+ nationality" ///
`y'_`x'_edu_padre = "+ father edu" ///
`y'_`x'_edu_madre = "+ mother edu" ///
`y'_`x'_regolarita = "+ regularity" ///
`y'_`x'_c_mayor_sex = "+ mayor gender" ///
`y'_`x'_c_mayor_degree = "+ mayor degree" ///
`y'_`x'_c_mayor_age = "+ mayor age" ///
`y'_`x'_c_gender = "+ town council gender" ///
`y'_`x'_c_degree = "+ town council degree" ///
`y'_`x'_c_age = "+ town council age" ///
`y'_`x'_lpop = "+ population" ///
`y'_`x'_c_y_avg = "+ taxable income" ///
`y'_`x'_c_compr = "+ house prices" ///
`y'_`x'_reg = "+ region-cohort FE" ///
`y'_`x'_pr = "+ province-cohort FE") ///
graphregion(margin(2 2 2 2) fcolor(white) lcolor(white)) plotregion(lcolor(black)) ///
yscale(titlegap(2)) ylabel(, labsize(large)) grid(none)  ///
xlabel(, valuelabel labsize(large)) xtitle(2SLS coefficient estimate, size(large)) ///
xline(0, lcolor(red) lpattern(solid))
graph export $output/appendix/figC3_`y'_`x'_cum.png, as(png) replace 
}
}
