use $dataout/dataset_final.dta, clear

local var annual_capital_sp 
forvalues n=0(1)10 {
local d=`n'/100
gen cdep_`var'_`n'=.
replace cdep_`var'_`n'=`var'_2002*(1-`d'*10)+`var'_2003*(1-`d'*9)+`var'_2004*(1-`d'*8)+`var'_2005*(1-`d'*7)+`var'_2006*(1-`d'*6)+`var'_2007*(1-`d'*5)+`var'_2008*(1-`d'*4)+`var'_2009*(1-`d'*3)+`var'_2010*(1-`d'*2)+`var'_2011*(1-`d'*1) if ay==2011
replace cdep_`var'_`n'=`var'_2003*(1-`d'*10)+`var'_2004*(1-`d'*9)+`var'_2005*(1-`d'*8)+`var'_2006*(1-`d'*7)+`var'_2007*(1-`d'*6)+`var'_2008*(1-`d'*5)+`var'_2009*(1-`d'*4)+`var'_2010*(1-`d'*3)+`var'_2011*(1-`d'*2)+`var'_2012*(1-`d'*1) if ay==2012
replace cdep_`var'_`n'=`var'_2004*(1-`d'*10)+`var'_2005*(1-`d'*9)+`var'_2006*(1-`d'*8)+`var'_2007*(1-`d'*7)+`var'_2008*(1-`d'*6)+`var'_2009*(1-`d'*5)+`var'_2010*(1-`d'*4)+`var'_2011*(1-`d'*3)+`var'_2012*(1-`d'*2)+`var'_2013*(1-`d'*1) if ay==2013
replace cdep_`var'_`n'=`var'_2005*(1-`d'*10)+`var'_2006*(1-`d'*9)+`var'_2007*(1-`d'*8)+`var'_2008*(1-`d'*7)+`var'_2009*(1-`d'*6)+`var'_2010*(1-`d'*5)+`var'_2011*(1-`d'*4)+`var'_2012*(1-`d'*3)+`var'_2013*(1-`d'*2)+`var'_2014*(1-`d'*1) if ay==2014
replace cdep_`var'_`n'=`var'_2006*(1-`d'*10)+`var'_2007*(1-`d'*9)+`var'_2008*(1-`d'*8)+`var'_2009*(1-`d'*7)+`var'_2010*(1-`d'*6)+`var'_2011*(1-`d'*5)+`var'_2012*(1-`d'*4)+`var'_2013*(1-`d'*3)+`var'_2014*(1-`d'*2)+`var'_2015*(1-`d'*1) if ay==2015
replace cdep_`var'_`n'=`var'_2007*(1-`d'*10)+`var'_2008*(1-`d'*9)+`var'_2009*(1-`d'*8)+`var'_2010*(1-`d'*7)+`var'_2011*(1-`d'*6)+`var'_2012*(1-`d'*5)+`var'_2013*(1-`d'*4)+`var'_2014*(1-`d'*3)+`var'_2015*(1-`d'*2)+`var'_2015*(1-`d'*1) if ay==2016
replace cdep_`var'_`n'=`var'_2008*(1-`d'*10)+`var'_2009*(1-`d'*9)+`var'_2010*(1-`d'*8)+`var'_2011*(1-`d'*7)+`var'_2012*(1-`d'*6)+`var'_2013*(1-`d'*5)+`var'_2014*(1-`d'*4)+`var'_2015*(1-`d'*3)+`var'_2015*(1-`d'*2)+`var'_2015*(1-`d'*1) if ay==2017
replace cdep_`var'_`n'=(cdep_`var'_`n'/cdep_pop)/1000
gen lcdep_`var'_`n'=log(cdep_`var'_`n')
}

forvalues n=0(1)10 {
rename (cdep_annual_capital_sp_`n' lcdep_annual_capital_sp_`n') (cap_`n' lcap_`n')
}

keep female mese cittadinanza sp_cur lsp_cur sp_dcap lsp_dcap mat ita ay exp edu_padre edu_madre cod codice_scuola regolarita election_year c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age dosageXexp c_y_avg c_compr cap_* lcap_*
	
egen score=rowmean(mat ita)

local y score
local c female mese cittadinanza edu_padre edu_madre regolarita
local m c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age
local m2 c_y_avg c_compr

egen id=group(cod)

forvalues i=0(1)10 {
ivreghdfe `y' (lcap_`i' = exp dosageXexp) `c' `m', a(ay#election_year codice_scuola) cluster(id) 
estimates store cap_`i'
}

local x cap
local var `x'_0 `x'_1 `x'_2 `x'_3 `x'_4 `x'_5 `x'_6 `x'_7 `x'_8 `x'_9 `x'_10 
coefplot(`var'), ///
  keep(lcap_*) levels(90) aseq swapnames ///
coeflabels(`x'_0 = "0" ///
`x'_1 = "1" ///
`x'_2 = "2" ///
`x'_3 = "3" ///
`x'_4 = "4" ///
`x'_5 = "5" ///
`x'_6 = "6" ///
`x'_7 = "7 (baseline)" ///
`x'_8 = "8" ///
`x'_9 = "9" ///
`x'_10 = "10") ///
graphregion(margin(2 2 2 2) fcolor(white) lcolor(white)) plotregion(lcolor(black)) ///
yscale(titlegap(2)) ylabel(, labsize(medium)) grid(none)  ///
xlabel(0(.2).6, valuelabel labsize(medium)) xtitle(2SLS coefficient estimate) ///
xline(0, lcolor(red) lpattern(solid)) ylabel(, labsize(medsmall)) ///
headings(`x'_0="{bf:Depreciation rate (%):}", labcolor(black)) 
graph export $output/appendix/figC4.png, as(png) replace
	
	