use $dataout/dataset_final.dta, clear

*Define spending by year of birth
forvalues b=0(1)6 {
gen sp_b`b'=.
gen lsp_b`b'=.
forvalues i=2011(1)2017 {
local t=`i'-9-`b'
cap replace sp_b`b'=(annual_current_sp_`t'_pc+annual_current_sp_`t'_pc)/100 if ay==`i'
cap replace lsp_b`b'=log(sp_b`b')
}
}

forvalues b=1(1)12 {
gen sp_a`b'=.
gen lsp_a`b'=.
forvalues i=2011(1)2017 {
local t=`i'-9+`b'
cap replace sp_a`b'=(annual_current_sp_`t'_pc+annual_current_sp_`t'_pc)/100 if ay==`i'
cap replace lsp_a`b'=log(sp_a`b')
}
}

keep female mese cittadinanza edu_padre edu_madre regolarita c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age c_y_avg c_compr cod ay codice_scuola election_year mat ita *sp* exp dosageXexp

egen id=group(cod)

local c female mese cittadinanza edu_padre edu_madre regolarita
local m c_mayor_sex c_mayor_degree c_mayor_age c_gender c_degree c_age
local m2 c_y_avg c_compr

egen sco=rowmean(mat ita)
local y sco
foreach x in sp_b6 sp_b5 sp_b4 sp_b3 sp_b2 sp_b1 sp_b0 sp_a1 sp_a2 sp_a3 sp_a4 sp_a5 sp_a6 sp_a7 sp_a8 sp_a9 sp_a10 sp_a11 sp_a12 lsp_b6 lsp_b5 lsp_b4 lsp_b3 lsp_b2 lsp_b1 lsp_b0 lsp_a1 lsp_a2 lsp_a3 lsp_a4 lsp_a5 lsp_a6 lsp_a7 lsp_a8 lsp_a9 lsp_a10 lsp_a11 lsp_a12   {
ivreghdfe `y' (`x' = exp dosageXexp), a(ay cod) cluster(id) 
estimates store `y'_`x'
ivreghdfe `y' `m' `c' `m2' (`x' = exp dosageXexp), a(ay#election_year codice_scuola) cluster(id) 
estimates store `y'_`x'_2
}


local y sco
local x lsp
local var `y'_`x'_b6_2 `y'_`x'_b5_2 `y'_`x'_b4_2 `y'_`x'_b3_2 `y'_`x'_b2_2 `y'_`x'_b1_2 `y'_`x'_b0_2 `y'_`x'_a1_2 `y'_`x'_a2_2 `y'_`x'_a3_2 `y'_`x'_a4_2 `y'_`x'_a5_2  `y'_`x'_a6_2 `y'_`x'_a7_2 `y'_`x'_a8_2 `y'_`x'_a11 `y'_`x'_a12
coefplot(`var'), ///
 keep(`x'*)  levels(90) aseq swapnames vertical sort ///
coeflabels(`y'_`x'_b6_2  = "≤-4" ///
`y'_`x'_b5_2  = "-3" ///
`y'_`x'_b4_2  = "-2" ///
`y'_`x'_b3_2  = "-1" ///
`y'_`x'_b2_2  = "0" ///
`y'_`x'_b1_2  = "1" ///
`y'_`x'_b0_2  = "2" ///
`y'_`x'_a1_2  = "3" ///
`y'_`x'_a2_2  = "4" ///
`y'_`x'_a3_2  = "5" ///
`y'_`x'_a4_2  = "6" ///
`y'_`x'_a5_2  = "7" ///
`y'_`x'_a6_2  = "8" ///
`y'_`x'_a7_2  = "9" ///
`y'_`x'_a8_2  = "10" ///
`y'_`x'_a11  = "11" ///
`y'_`x'_a12  = "≥12") ///
graphregion(margin(2 2 2 2) fcolor(white) lcolor(white)) plotregion(lcolor(black)) ///
yscale(titlegap(2)) ylabel(, labsize(medlarge) nogrid) grid(none)  ///
xlabel(, valuelabel labsize(medlarge)) xtitle("Years from birth", size(medlarge)) ///
yline(0, lcolor(red) lpattern(solid)) ytitle("Test score impact at V grade" "from austerity spending cut", size(medlarge)) 
graph export $output/appendix/figC5.png, as(png) replace
